Your submission was sent successfully! Close

You have successfully unsubscribed! Close

Thank you for signing up for our newsletter!
In these regular emails you will find the latest updates about Ubuntu and upcoming events where you can meet our team.Close

CVE-2023-6780

Published: 31 January 2024

An integer overflow was found in the __vsyslog_internal function of the glibc library. This function is called by the syslog and vsyslog functions. This issue occurs when these functions are called with a very long message, leading to an incorrect calculation of the buffer size to store the message, resulting in undefined behavior. This issue affects glibc 2.37 and newer.

Priority

Medium

Cvss 3 Severity Score

5.3

Score breakdown

Status

Package Release Status
glibc
Launchpad, Ubuntu, Debian
trusty Does not exist

upstream
Released (2.37-15)
bionic Not vulnerable

focal Not vulnerable
(2.31-0ubuntu9.14)
jammy Not vulnerable
(2.35-0ubuntu3.6)
xenial Not vulnerable

mantic
Released (2.38-1ubuntu6.1)
Patches:
upstream: https://sourceware.org/git?p=glibc.git;a=commit;h=ddf542da94caf97ff43cc2875c88749880b7259b
eglibc
Launchpad, Ubuntu, Debian
xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Does not exist

mantic Does not exist

upstream Needs triage

trusty Not vulnerable

Severity score breakdown

Parameter Value
Base score 5.3
Attack vector Network
Attack complexity Low
Privileges required None
User interaction None
Scope Unchanged
Confidentiality None
Integrity impact None
Availability impact Low
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L